{% load static %}
<!DOCTYPE html>
<html>
<head>
	<!-- Site favicon -->
	<link rel="apple-touch-icon" sizes="180x180" href="{% static 'vendors/images/apple-touch-icon.png' %}">
	<link rel="icon" type="image/png" sizes="32x32" href="{% static 'vendors/images/favicon-32x32.png' %}">
	<link rel="icon" type="image/png" sizes="16x16" href="{% static 'vendors/images/favicon-16x16.png' %}">
	<!-- Mobile Specific Metas -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

	<!-- CSS de iziToast -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/izitoast@1.4.0/dist/css/iziToast.min.css">

	<!-- jQuery (asegúrate de agregarlo antes de iziToast) -->
	<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

	<!-- JavaScript de iziToast -->
	<script src="https://cdn.jsdelivr.net/npm/izitoast@1.4.0/dist/js/iziToast.min.js"></script>

	<!-- Google Font -->
	<link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800&display=swap" rel="stylesheet">
	<!-- <link rel="stylesheet" href="//cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
	<script type="text/javascript" src="//cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script> -->
	<!-- DataTables and buttons for Export -->

	<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/buttons/2.1.5/js/dataTables.buttons.min.js"></script>
	<script src="https://cdn.datatables.net/buttons/2.1.5/js/buttons.bootstrap4.min.js"></script>
	<script src="https://cdn.datatables.net/buttons/2.1.5/js/buttons.print.min.js"></script>
	<script src="https://cdn.datatables.net/buttons/2.1.5/js/buttons.html5.min.js"></script>
	<script src="https://cdn.datatables.net/buttons/2.1.5/js/buttons.flash.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/plug-ins/1.11.5/i18n/Spanish.json"></script>


	<!-- Datatable Setting js -->
	<script src="{% static 'vendors/scripts/datatable-setting.js' %}"></script>

	<!-- CSS -->
	<link rel="stylesheet" type="text/css" href="{% static 'vendors/styles/core.css' %}">
	<link rel="stylesheet" type="text/css" href="{% static 'vendors/styles/icon-font.min.css' %}">
	<link rel="stylesheet" type="text/css" href="{% static 'src/plugins/dropzone/src/dropzone.css' %}">
	<link rel="stylesheet" type="text/css" href="{% static 'vendors/styles/style.css' %}">

	<!-- SweetAlert2 CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.min.css">

	<!-- SweetAlert2 JavaScript -->
	<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.all.min.js"></script>
	<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

	<!-- Luego carga jQuery Validate -->
	<script src="{% static 'librerias/jquery-validate/jquery.validate.js' %}"></script>

	<!-- También puedes cargar additional-methods.js si estás utilizando extensiones de archivo -->
	<script src="{% static 'librerias/jquery-validate/additional-methods.js' %}"></script>

	<link href="{% static 'css/principal.css' %}" rel="stylesheet">
	<script src="{% static 'js/validacion.js' %}"></script>

	<!-- Global site tag (gtag.js) - Google Analytics -->
	<script async src="https://www.googletagmanager.com/gtag/js?id=UA-119386393-1"></script>

<script type="text/javascript">

		function eliminar(url) {
				Swal.fire({
						title: '¿Estás seguro?',
						text: 'Esta acción no se puede deshacer',
						icon: 'warning',
						showCancelButton: true,
						confirmButtonColor: '#d33',
						cancelButtonColor: '#3085d6',
						confirmButtonText: 'Sí, eliminarlo',
						cancelButtonText: 'Cancelar'
				}).then((result) => {
						if (result.isConfirmed) {
								// Redirige a la URL de eliminación
								window.location.href = url;
						}
				});
		}

</script>
<!-- Configuración de Dropzone para el input específico -->
<script>
    // Deshabilitar la autoconfiguración de Dropzone
    Dropzone.autoDiscover = false;

    // Configuración personalizada de Dropzone
    $(".dropzone").dropzone({
        // Mensaje predeterminado que se muestra al arrastrar y soltar archivos
        dictDefaultMessage: "Arrastra y suelta archivos aquí o haz clic para seleccionarlos",

        // Máximo tamaño permitido para los archivos en megabytes
        maxFilesize: 5,

        // Tipos de archivos permitidos (puedes ajustarlos según tus necesidades)
        acceptedFiles: "image/*,application/pdf,.doc,.docx",

        // Habilitar o deshabilitar la eliminación de archivos
        addRemoveLinks: true,

        // Función llamada cuando se elimina un archivo
        removedfile: function(file) {
            var name = file.name;
            var _ref;
            return (_ref = file.previewElement) != null ? _ref.parentNode.removeChild(file.previewElement) : void 0;
        },

        // Otras opciones de configuración...
    });
</script>


	<script>
		window.dataLayer = window.dataLayer || [];
		function gtag(){dataLayer.push(arguments);}
		gtag('js', new Date());

		gtag('config', 'UA-119386393-1');
	</script>
</head>
<body>

	<div class="header bg-dark">
		<div class="header-left">
			<div class="menu-icon dw dw-menu"></div>
			<div class="search-toggle-icon dw dw-search2" data-toggle="header_search"></div>
			<div class="header-search text-light">
        LUBRIMOTORES "EL ROBIN"
				<form>
					<div class="form-group mb-0">
						<div class="dropdown">
							<a class="dropdown-toggle no-arrow" href="#" role="button" data-toggle="dropdown">
								<i class="ion-arrow-down-c"></i>
							</a>
						</div>
					</div>
				</form>
			</div>
		</div>
		<div class="header-right">
			<div class="dashboard-setting user-notification">
				<div class="dropdown">
					<a class="dropdown-toggle no-arrow" href="javascript:;" data-toggle="right-sidebar">
						<i class="dw dw-settings2"></i>
					</a>
				</div>
			</div>
			<div class="user-notification">
				<div class="dropdown">
					<a class="dropdown-toggle no-arrow" href="#" role="button" data-toggle="dropdown">
						<i class="icon-copy dw dw-notification"></i>
						<span class="badge notification-active"></span>
					</a>
					<div class="dropdown-menu dropdown-menu-right">
						<div class="notification-list mx-h-350 customscroll">
							<ul>
								<li>
									<a href="#">
										<img src="{% static 'vendors/images/img.jpg'%}" alt="">
										<h3>John Doe</h3>
										<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed...</p>
									</a>
								</li>
								<li>
									<a href="#">
										<img src="{% static 'vendors/images/photo1.jpg'%}" alt="">
										<h3>Lea R. Frith</h3>
										<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed...</p>
									</a>
								</li>
								<li>
									<a href="#">
										<img src="{% static 'vendors/images/photo2.jpg'%}" alt="">
										<h3>Erik L. Richards</h3>
										<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed...</p>
									</a>
								</li>
								<li>
									<a href="#">
										<img src="{% static 'vendors/images/photo3.jpg'%}" alt="">
										<h3>John Doe</h3>
										<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed...</p>
									</a>
								</li>
								<li>
									<a href="#">
										<img src="{% static 'vendors/images/photo4.jpg'%}" alt="">
										<h3>Renee I. Hansen</h3>
										<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed...</p>
									</a>
								</li>
								<li>
									<a href="#">
										<img src="{% static 'vendors/images/img.jpg'%}" alt="">
										<h3>Vicki M. Coleman</h3>
										<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed...</p>
									</a>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</div>
			<div class="user-info-dropdown">
				<div class="dropdown">
					<a class="dropdown-toggle" href="#" role="button" data-toggle="dropdown">
						<span class="user-icon">
							<img src="{% static 'vendors/images/photo1.jpg'%}" alt="">
						</span>
						<span class="user-name">Ross C. Lopez</span>
					</a>
					<div class="dropdown-menu dropdown-menu-right dropdown-menu-icon-list">
						<a class="dropdown-item" href="profile.html"><i class="dw dw-user1"></i> Profile</a>
						<a class="dropdown-item" href="profile.html"><i class="dw dw-settings2"></i> Setting</a>
						<a class="dropdown-item" href="faq.html"><i class="dw dw-help"></i> Help</a>
						<a class="dropdown-item" href="login.html"><i class="dw dw-logout"></i> Log Out</a>
					</div>
				</div>
			</div>
			<div class="github-link">
				<a href="https://github.com/dropways/deskapp" target="_blank"><img src="{% static 'vendors/images/github.svg'%}" alt=""></a>
			</div>
		</div>
	</div>

	<div class="right-sidebar">
		<div class="sidebar-title">
			<h3 class="weight-60 font-16 text-blue">
				Layout Settings
				<span class="btn-block font-weight-400 font-12">User Interface Settings</span>
			</h3>
			<div class="close-sidebar" data-toggle="right-sidebar-close">
				<i class="icon-copy ion-close-round"></i>
			</div>
		</div>
		<div class="right-sidebar-body customscroll">
			<div class="right-sidebar-body-content">
				<h4 class="weight-600 font-18 pb-10">Header Background</h4>
				<div class="sidebar-btn-group pb-30 mb-10">
					<a href="javascript:void(0);" class="btn btn-outline-primary header-white active">White</a>
					<a href="javascript:void(0);" class="btn btn-outline-primary header-dark">Dark</a>
				</div>

				<h4 class="weight-600 font-18 pb-10">Sidebar Background</h4>
				<div class="sidebar-btn-group pb-30 mb-10">
					<a href="javascript:void(0);" class="btn btn-outline-primary sidebar-light ">White</a>
					<a href="javascript:void(0);" class="btn btn-outline-primary sidebar-dark active">Dark</a>
				</div>

				<h4 class="weight-600 font-18 pb-10">Menu Dropdown Icon</h4>
				<div class="sidebar-radio-group pb-10 mb-10">
					<div class="custom-control custom-radio custom-control-inline">
						<input type="radio" id="sidebaricon-1" name="menu-dropdown-icon" class="custom-control-input" value="icon-style-1" checked="">
						<label class="custom-control-label" for="sidebaricon-1"><i class="fa fa-angle-down"></i></label>
					</div>
					<div class="custom-control custom-radio custom-control-inline">
						<input type="radio" id="sidebaricon-2" name="menu-dropdown-icon" class="custom-control-input" value="icon-style-2">
						<label class="custom-control-label" for="sidebaricon-2"><i class="ion-plus-round"></i></label>
					</div>
					<div class="custom-control custom-radio custom-control-inline">
						<input type="radio" id="sidebaricon-3" name="menu-dropdown-icon" class="custom-control-input" value="icon-style-3">
						<label class="custom-control-label" for="sidebaricon-3"><i class="fa fa-angle-double-right"></i></label>
					</div>
				</div>

				<h4 class="weight-600 font-18 pb-10">Menu List Icon</h4>
				<div class="sidebar-radio-group pb-30 mb-10">
					<div class="custom-control custom-radio custom-control-inline">
						<input type="radio" id="sidebariconlist-1" name="menu-list-icon" class="custom-control-input" value="icon-list-style-1" checked="">
						<label class="custom-control-label" for="sidebariconlist-1"><i class="ion-minus-round"></i></label>
					</div>
					<div class="custom-control custom-radio custom-control-inline">
						<input type="radio" id="sidebariconlist-2" name="menu-list-icon" class="custom-control-input" value="icon-list-style-2">
						<label class="custom-control-label" for="sidebariconlist-2"><i class="fa fa-circle-o" aria-hidden="true"></i></label>
					</div>
					<div class="custom-control custom-radio custom-control-inline">
						<input type="radio" id="sidebariconlist-3" name="menu-list-icon" class="custom-control-input" value="icon-list-style-3">
						<label class="custom-control-label" for="sidebariconlist-3"><i class="dw dw-check"></i></label>
					</div>
					<div class="custom-control custom-radio custom-control-inline">
						<input type="radio" id="sidebariconlist-4" name="menu-list-icon" class="custom-control-input" value="icon-list-style-4" checked="">
						<label class="custom-control-label" for="sidebariconlist-4"><i class="icon-copy dw dw-next-2"></i></label>
					</div>
					<div class="custom-control custom-radio custom-control-inline">
						<input type="radio" id="sidebariconlist-5" name="menu-list-icon" class="custom-control-input" value="icon-list-style-5">
						<label class="custom-control-label" for="sidebariconlist-5"><i class="dw dw-fast-forward-1"></i></label>
					</div>
					<div class="custom-control custom-radio custom-control-inline">
						<input type="radio" id="sidebariconlist-6" name="menu-list-icon" class="custom-control-input" value="icon-list-style-6">
						<label class="custom-control-label" for="sidebariconlist-6"><i class="dw dw-next"></i></label>
					</div>
				</div>

				<div class="reset-options pt-30 text-center">
					<button class="btn btn-danger" id="reset-settings">Reset Settings</button>
				</div>
			</div>
		</div>
	</div>


	<div class="left-side-bar bg-secondary">
		<div class="brand-logo">
			<a href="index.html">
				<img src="{% static 'vendors/images/deskapp-logo.svg'%}" alt="" class="dark-logo">
				<img src="{% static 'vendors/images/deskapp-logo-white.svg'%}" alt="" class="light-logo">
			</a>
			<div class="close-sidebar" data-toggle="left-sidebar-close">
				<i class="ion-close-round"></i>
			</div>
		</div>
		<div class="menu-block customscroll">
			<div class="sidebar-menu">
				<ul id="accordion-menu">
					<li class="dropdown">
						<a href="javascript:;" class="dropdown-toggle">
							<span class="micon dw dw-house-1"></span><span class="mtext">Home</span>
						</a>
						<ul class="submenu">
							<li><a href="/listadoMecanico/">Mecanico</a></li>
							<li><a href="/listadoFacturas/">Facturacion</a></li>
							<li><a href="/listadoServicios/">Servicios</a></li>
						</ul>
					</li>
					<li class="dropdown">
					<a href="javascript:;" class="dropdown-toggle">
						<span class="micon dw dw-edit2"></span><span class="mtext">Marca</span>
					</a>
					<ul class="submenu">
						<li><a href="/listadoMarcas/">Listado Mascas</a></li>
					</ul>
				</li>
				<li class="dropdown">
					<a href="javascript:;" class="dropdown-toggle">
						<span class="micon dw dw-library"></span><span class="mtext">Clientes</span>
					</a>
					<ul class="submenu">
						<li><a href="/listadoClientes/">Listado Clientes</a></li>
					</ul>

				</li>
				<li class="dropdown">
						<a href="javascript:;" class="dropdown-toggle">
							<span class="micon dw dw-apartment"></span><span class="mtext"> Vehiculos</span>
						</a>
						<ul class="submenu">
							<li><a href="/listadoVehiculos/">Listado vehiculos</a></li>
						</ul>
					</li>
					<li class="dropdown">
					<a href="javascript:;" class="dropdown-toggle">
						<span class="micon dw dw-edit2"></span><span class="mtext">Productos</span>
					</a>
					<ul class="submenu">
						<li><a href="/listadoProductos/">Listado Productos</a></li>
					</ul>
				</li>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<div class="mobile-menu-overlay"></div>

	{% block contenido %}

    {% endblock %}
		{% if messages %}
			  <script type="text/javascript">
			    $(document).ready(function(){
			      {% for message in messages %}
			        {% if message.tags == 'success' %}
			          iziToast.success({
			            title: 'CONFIRMACION',  // Título predeterminado para mensajes de éxito
			            message: '{{ message }}',
			            position:'topRight'
			          });
			        {% elif message.tags == 'warning' %}
			          iziToast.warning({
			            title: 'ADVERTENCIA',  // Título predeterminado para mensajes de advertencia
			            message: '{{ message }}',
			            position:'topRight'
			          });
			        {% elif message.tags == 'error' %}
			          iziToast.error({
			            title: 'ERROR',  // Título predeterminado para mensajes de error
			            message: '{{ message }}',
			            position:'topRight'
			          });
			        {% else %}
			          iziToast.info({
			            title: 'INFORMACIÓN',  // Título predeterminado para mensajes de información
			            message: '{{ message }}',
			            position:'topRight'
			          });
			        {% endif %}
			      {% endfor %}
			    });
			  </script>
			{% endif %}


			<div class="footer-wrap pd-20 mb-20 card-box">
				DeskApp - Bootstrap 4 Admin Template By <a href="https://github.com/dropways" target="_blank">Ankit Hingarajiya</a>
			</div>
			<script>
			    function eliminarM(url) {
			        Swal.fire({
			            title: '¿Estás seguro?',
			            text: 'Esta acción no se puede deshacer',
			            icon: 'warning',
			            showCancelButton: true,
			            confirmButtonColor: '#d33',
			            cancelButtonColor: '#3085d6',
			            confirmButtonText: 'Sí, eliminarlo',
			            cancelButtonText: 'Cancelar'
			        }).then((result) => {
			            if (result.isConfirmed) {
			                // Redirige a la URL de eliminación
			                window.location.href = url;
			            }
			        });
			    }
			</script>
	<!-- js -->
	<script src="{% static 'vendors/scripts/core.js'%}"></script>
	<script src="{% static 'vendors/scripts/script.min.js'%}"></script>
	<script src="{% static 'vendors/scripts/process.js'%}"></script>
	<script src="{% static 'vendors/scripts/layout-settings.js'%}"></script>
	<script src="{% static 'src/plugins/apexcharts/apexcharts.min.js'%}"></script>
	<script src="{% static 'src/plugins/datatables/js/jquery.dataTables.min.js'%}"></script>
	<script src="{% static 'src/plugins/datatables/js/dataTables.bootstrap4.min.js'%}"></script>
	<script src="{% static 'src/plugins/datatables/js/dataTables.responsive.min.js'%}"></script>
	<script src="{% static 'src/plugins/datatables/js/responsive.bootstrap4.min.js'%}"></script>
	<script src="{% static 'vendors/scripts/dashboard.js'%}"></script>
</body>
</html>
